=== debian/changelog ===
cndrvcups-capt (2.71-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Thu, 9 Mar 2017 00:00:00 +0900

cndrvcups-capt (2.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 15:02:31 +0900

cndrvcups-capt (2.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 15:02:31 +0900

cndrvcups-capt (2.56-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 15:02:31 +0900

cndrvcups-capt (2.50-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 15:02:31 +0900

cndrvcups-capt (2.40-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2011 15:02:31 +0900

cndrvcups-capt (2.30-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2010 15:02:31 +0900

cndrvcups-capt (2.20-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 15:02:31 +0900

cndrvcups-capt (2.00-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 15:02:31 +0900

cndrvcups-capt (1.90-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 15:02:31 +0900

cndrvcups-capt (1.80-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 15:02:31 +0900

cndrvcups-capt (1.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 15:02:31 +0900

cndrvcups-capt (1.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 2 Nov 2007 10:02:31 +0900

cndrvcups-capt (1.50-2) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Man, 6 Aug 2007 19:28:31 +0900

cndrvcups-capt (1.50-1) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 10 Apr 2007 09:50:31 +0900
